<?php

namespace App\Filament\Resources\Provinces\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Hidden;
use Filament\Schemas\Schema;

class ProvinceForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('region_code')
                    ->label('Kode Wilayah (Region Code)') // <--- Indo
                    ->required(),
                TextInput::make('name')
                    ->label('Nama Provinsi') // <--- Indo
                    ->required(),
                Hidden::make('created_by')
                    ->default(fn () => auth()->id()),
                Hidden::make('updated_by')
                    ->default(fn () => auth()->id()),
            ]);
    }
}